Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451606 - Very low volume sound recordings using gnome-sound-recorder
Summary: Very low volume sound recordings using gnome-sound-recorder
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 10
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 03:35 UTC by clifford snow
Modified: 2009-02-25 03:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-25 03:50:11 UTC


Attachments (Terms of Use)
System information (deleted)
2008-06-16 03:37 UTC, clifford snow
no flags Details
amixer -c0 output (deleted)
2008-08-06 22:53 UTC, Victor Bogado
no flags Details

Description clifford snow 2008-06-16 03:35:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
When I attempt to use the built in mic in a Dell Inspiron 1525 the volume level is very low.  alsamixer shows the volume level at 100% for all devices.  I've played around with the gnome volume control trying looking for a configuration that produces normal sound levels with no success.  It doesn't matter which capture tracks are selected or which of the two mics.  The laptop has two mics, one analog the other digital.  Results are the same on both.  

Version-Release number of selected component (if applicable):
pulseaudio-0.9.10-1.fc9.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Open gnome-sound-recorder
2. Record a test message
3. Play back the message

Actual Results:
The sound is at a very low level - almost inaudible.

Expected Results:
Sound levels should be at normal level.

Additional info:
attached is a file with outputs from lspci, dmesg, and /procs/asound/cards

Comment 1 clifford snow 2008-06-16 03:37:26 UTC
Created attachment 309444 [details]
System information

Comment 2 Lennart Poettering 2008-08-06 13:37:00 UTC
Please play around with alsamixer -c0!

Comment 3 Victor Bogado 2008-08-06 22:49:52 UTC
(In reply to comment #2)
> Please play around with alsamixer -c0!

my alsamixer output states that every volume is at 100%

Comment 4 Victor Bogado 2008-08-06 22:53:44 UTC
Created attachment 313650 [details]
amixer -c0 output

Comment 5 Lennart Poettering 2008-09-09 20:24:56 UTC
If you try to record without PA, i.e. with arecord and then play back with aplay, does it work correctly, then?

Comment 6 Victor Bogado 2008-09-10 11:17:06 UTC
It seems to me that the volume is as low as the gnome-sound-recorder, so I would guess that it has more to do with alsa and drivers then with PA.

Comment 7 Victor Bogado 2008-12-15 23:55:18 UTC
Bumping the version to 10 as it still affects the F10 version

Comment 8 Victor Bogado 2008-12-15 23:56:14 UTC
Should this bug component be changed to "alsa"?

Comment 9 Lennart Poettering 2009-02-25 03:50:11 UTC
Ok, the story goes like this:

some sound cards record audio only in very low resolutions and store that in the LSBs of the PCM samples. To make this a usable signal for applications all samples need to be digitall amplified.

PA can do that just fine, however no volume control application actually exposed this, i.e. the end of the volume slider is at 100%. For digital amplification it should go much higher.

The version of gnome-volume-control now exposes digital amplificatin fr up to 60dB. This should fix all issues.


Note You need to log in before you can comment on or make changes to this bug.